function varargout=plotnodes(q,varargin)
  [dim,nq]=size(q);
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('LineStyle','None'); 
  p.addParamValue('Marker','.'); 
  p.addParamValue('MarkerSize',6); 
  p.addParamValue('idx',[]);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  varargin={varargin{:},'LineStyle',R.LineStyle,'Marker',R.Marker,'MarkerSize',R.MarkerSize};
  varargin=fc_tools.graphics.xcolor.colors_replace(varargin{:}); % 'MarkerFaceColor' and 'MarkerEdgeColor'
  h=[];
  if ~isempty(R.idx), idx=intersect(1:nq,R.idx);else, idx=1:nq;end
  if dim==3, h=plot3(q(1,idx),q(2,idx),q(3,idx),varargin{:});end
  if dim==2, h=plot(q(1,idx),q(2,idx),varargin{:});end
  if nargout==1, varargout{1}=h;end
end
