function obj=readmesh(meshfile,varargin)
  p = inputParser;
  p.addParamValue('verbose',false,@islogical);
  p.parse(varargin{:});
  verbose=p.Results.verbose;
  
  MeshFormat=fc_oogmsh.msh.read_MeshFormat(meshfile);
  fprintf('[fc-oogmsh] Reading MSH file format version %s\n',MeshFormat);
  if verbose,fprintf('[fc-oogmsh] Reading MSH file format version %s\n',MeshFormat);end 
  switch MeshFormat.version
    case '2.2'
      obj=fc_oogmsh.ooGmsh2(meshfile);
    case {'4.0','4.1'}
      obj=fc_oogmsh.ooGmsh4(meshfile);
    otherwise
      error(' Unknown MSH format version %s!\n',MeshFormat.version)
  end
  
end
